---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: cmii-uav-platform-classification
  namespace: uavcloud-devflight
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-classification
    octopus.control: frontend-app-wdd
    app.kubernetes.io/app-version: 5.7.0
spec:
  replicas: 1
  strategy:
    rollingUpdate:
      maxUnavailable: 1
  selector:
    matchLabels:
      cmii.type: frontend
      cmii.app: cmii-uav-platform-classification
  template:
    metadata:
      labels:
        cmii.type: frontend
        cmii.app: cmii-uav-platform-classification
    spec:
      imagePullSecrets:
        - name: harborsecret
      containers:
        - name: cmii-uav-platform-classification
          image: harbor.cdcyy.com.cn/cmii/cmii-uav-platform-classification:5.6.0
          imagePullPolicy: Always
          env:
            - name: K8S_NAMESPACE
              value: uavcloud-devflight
            - name: APPLICATION_NAME
              value: cmii-uav-platform-classification
          ports:
            - name: platform-9528
              containerPort: 9528
              protocol: TCP
          resources:
            limits:
              cpu: "1"
              memory: 1Gi
            requests:
              cpu: 50m
              memory: 50Mi
          volumeMounts:
            - name: nginx-conf
              mountPath: /etc/nginx/conf.d/nginx.conf
              subPath: nginx.conf
            - name: tenant-prefix
              subPath: ingress-config.js
              mountPath: /home/cmii-platform/dist/ingress-config.js
      volumes:
        - name: nginx-conf
          configMap:
            name: nginx-cm
            items:
              - key: nginx.conf
                path: nginx.conf
        - name: tenant-prefix
          configMap:
            name: tenant-prefix-splice
            items:
              - key: ingress-config.js
                path: ingress-config.js
---
apiVersion: v1
kind: Service
metadata:
  name: cmii-uav-platform-classification
  namespace: uavcloud-devflight
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-classification
    octopus.control: frontend-app-wdd
    app.kubernetes.io/version: 5.7.0
spec:
  type: ClusterIP
  selector:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-classification
  ports:
    - name: web-svc-port
      port: 9528
      protocol: TCP
      targetPort: 9528
---
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: cmii-uav-platform-scanner
  namespace: uavcloud-devflight
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-scanner
    octopus.control: frontend-app-wdd
    app.kubernetes.io/app-version: 5.7.0
spec:
  replicas: 1
  strategy:
    rollingUpdate:
      maxUnavailable: 1
  selector:
    matchLabels:
      cmii.type: frontend
      cmii.app: cmii-uav-platform-scanner
  template:
    metadata:
      labels:
        cmii.type: frontend
        cmii.app: cmii-uav-platform-scanner
    spec:
      imagePullSecrets:
        - name: harborsecret
      containers:
        - name: cmii-uav-platform-scanner
          image: harbor.cdcyy.com.cn/cmii/cmii-uav-platform-scanner:5.6.0
          imagePullPolicy: Always
          env:
            - name: K8S_NAMESPACE
              value: uavcloud-devflight
            - name: APPLICATION_NAME
              value: cmii-uav-platform-scanner
          ports:
            - name: platform-9528
              containerPort: 9528
              protocol: TCP
          resources:
            limits:
              cpu: "1"
              memory: 1Gi
            requests:
              cpu: 50m
              memory: 50Mi
          volumeMounts:
            - name: nginx-conf
              mountPath: /etc/nginx/conf.d/nginx.conf
              subPath: nginx.conf
            - name: tenant-prefix
              subPath: ingress-config.js
              mountPath: /home/cmii-platform/dist/ingress-config.js
      volumes:
        - name: nginx-conf
          configMap:
            name: nginx-cm
            items:
              - key: nginx.conf
                path: nginx.conf
        - name: tenant-prefix
          configMap:
            name: tenant-prefix-splice
            items:
              - key: ingress-config.js
                path: ingress-config.js
---
apiVersion: v1
kind: Service
metadata:
  name: cmii-uav-platform-scanner
  namespace: uavcloud-devflight
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-scanner
    octopus.control: frontend-app-wdd
    app.kubernetes.io/version: 5.7.0
spec:
  type: ClusterIP
  selector:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-scanner
  ports:
    - name: web-svc-port
      port: 9528
      protocol: TCP
      targetPort: 9528
---

---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: cmii-uav-platform-blockchain
  namespace: uavcloud-devflight
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-blockchain
    octopus.control: frontend-app-wdd
    app.kubernetes.io/app-version: 5.7.0
spec:
  replicas: 1
  strategy:
    rollingUpdate:
      maxUnavailable: 1
  selector:
    matchLabels:
      cmii.type: frontend
      cmii.app: cmii-uav-platform-blockchain
  template:
    metadata:
      labels:
        cmii.type: frontend
        cmii.app: cmii-uav-platform-blockchain
    spec:
      imagePullSecrets:
        - name: harborsecret
      containers:
        - name: cmii-uav-platform-blockchain
          image: harbor.cdcyy.com.cn/cmii/cmii-uav-platform-blockchain:5.6.0
          imagePullPolicy: Always
          env:
            - name: K8S_NAMESPACE
              value: uavcloud-devflight
            - name: APPLICATION_NAME
              value: cmii-uav-platform-blockchain
          ports:
            - name: platform-9528
              containerPort: 9528
              protocol: TCP
          resources:
            limits:
              cpu: "1"
              memory: 1Gi
            requests:
              cpu: 50m
              memory: 50Mi
          volumeMounts:
            - name: nginx-conf
              mountPath: /etc/nginx/conf.d/nginx.conf
              subPath: nginx.conf
            - name: tenant-prefix
              subPath: ingress-config.js
              mountPath: /home/cmii-platform/dist/ingress-config.js
      volumes:
        - name: nginx-conf
          configMap:
            name: nginx-cm
            items:
              - key: nginx.conf
                path: nginx.conf
        - name: tenant-prefix
          configMap:
            name: tenant-prefix-splice
            items:
              - key: ingress-config.js
                path: ingress-config.js
---
apiVersion: v1
kind: Service
metadata:
  name: cmii-uav-platform-blockchain
  namespace: uavcloud-devflight
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-blockchain
    octopus.control: frontend-app-wdd
    app.kubernetes.io/version: 5.7.0
spec:
  type: ClusterIP
  selector:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-blockchain
  ports:
    - name: web-svc-port
      port: 9528
      protocol: TCP
      targetPort: 9528
---